Subject: Re: Error compiling cygwin-snapshot-20020409-1
From: "Steve Howe" <[email-masked]>
To: [email-masked]
Date: Fri, 12 Apr 2002 07:37:08 -0300
Newsgroups: gmane.os.cygwin

"Christopher Faylor" <[email-masked]> wrote in message
news:[email-masked]...
> On Thu, Apr 11, 2002 at 10:10:28AM +0200, Pavel Tsekov wrote:
> >Wednesday, April 10, 2002, 11:44:44 PM, you wrote:
> >> In file included from cygheap.cc:17:
> >SH> fhandler.h: In method `select_stuff::select_stuff()':
> >SH> fhandler.h:1089: implicit declaration of function `int memset(...)'
> >SH> make: *** [cygheap.o] Error 1
> >
> >Obviously, this source file calls memset without including the
> >approapriate header file (string.h).
>
> Not so obvious at all.  How do you suppose I could generate a snapshot
> if that was true?
>
> >I don't have the latest CVS sources to verify this - what I've stated
> >above is just and assumption based on the gcc error message.
>
> If you can't check the source, why are you responding?
>
> Since I can't see any reason for the error, I assume that the source
> has been locally modified or the header files are screwed up.
None of these. Why don't you try yourself ?

> Basically, it seems to me that if you can't solve simple things like
> basic compilation errors, you probably shouldn't be building cygwin
> from scratch.
And you probably don't know know anything about me to say that.
And also you should do a working snapshot instead of being arrogant. You you
were so darn smart as you think the snapshot would be working. I just have
thousands of other things to do instead of making the software YOU develop
work. I guessed that could be a known flaw so I decided to ask fisrt before
trying to solve it myself.
If you can't help then just shutup instead. Do you have an orgasm when you
write those things ?

Howe

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/